The inspector module provides an API for interacting with the V8 inspector.

## Index

### Modules

- Console
- Debugger
- HeapProfiler
- NodeTracing
- NodeWorker
- Profiler
- Runtime
- Schema

### Classes

- Session

### Interfaces

- InspectorNotification

### Functions

- close
- open
- url

## Functions

### close

- close(): void

- - Defined in node_modules/@types/node/inspector.d.ts:3156

  Deactivate the inspector. Blocks until there are no active connections.

  #### Returns void

### open

- open(port?: undefined | number, host?: undefined | string, wait?: undefined | false | true): void

- - Defined in node_modules/@types/node/inspector.d.ts:3151

  Activate inspector on host and port. Equivalent to node --inspect=[[host:]port], but can be done programatically after node has started. If wait is true, will block until a client has connected to the inspect port and flow control has been passed to the debugger client.

  #### Parameters

  - ##### Optional port: undefined | number

    Port to listen on for inspector connections. Optional, defaults to what was specified on the CLI.

  - ##### Optional host: undefined | string

    Host to listen on for inspector connections. Optional, defaults to what was specified on the CLI.

  - ##### Optional wait: undefined | false | true

    Block until a client has connected. Optional, defaults to false.

  #### Returns void

### url

- url(): string

- - Defined in node_modules/@types/node/inspector.d.ts:3161

  Return the URL of the active inspector, or undefined if there is none.

  #### Returns string

Generated using TypeDoc